/// <amd-module name="@cxl/ui/appbar-logo.js" />
import { Component } from './component.js';
/**
 * AppbarLogo is a component designed to integrate a logo or image within an Appbar.
 * It ensures proper accessibility by setting the role="img" attribute and supports providing alternative text using the alt attribute.
 * @beta
 */
export declare class AppbarLogo extends Component {
    /**
     * Defines the URL or path to the image that should be displayed.
     */
    src: string;
    /**
     * Alternative text for the image, used for accessibility purposes.
     */
    alt?: string;
}
