/// <amd-module name="@cxl/ui/application.js" />
import { Component } from './component.js';
export declare function applyMeta(owner?: Document): void;
/**
 * The cxl-meta component simplifies the management of essential meta tags and baseline
 * styles required for most web applications.
 */
export declare class Meta extends Component {
    connectedCallback(): void;
}
/**
 * The Application component serves as the foundation for your web application's layout. It provides a base structure with essential styles and designated areas for your application's content and navigation drawers.
 *
 * @see Meta
 *
 * @example
 * <cxl-application aria-label="Application Name">
 *   <cxl-appbar>
 *     <cxl-navbar permanent="medium"><cxl-c pad="32">Navbar<cxl/c></cxl-navbar>
 *     <cxl-appbar-title>Appbar</cxl-appbar-title>
 *   </cxl-appbar>
 *   <cxl-page>Body</cxl-page>
 * </cxl-application>
 */
export declare class Application extends Component {
}
