/// <amd-module name="@cxl/ui/button-flat.js" />
import { Size } from './core.js';
import { ButtonHeadless } from './button.js';
export declare class ButtonFlatBase extends ButtonHeadless {
    /** Controls the size of the button. */
    size: Size;
}
/**
 * Flat Button without elevation or borders.
 *
 * @beta
 * @demo
   <cxl-toolbar>
        <cxl-button-flat size="-1">Small</cxl-button-flat>
        <cxl-button-flat size="0" color="primary">Size 0</cxl-button-flat>
        <cxl-button-flat size="1" color="secondary">Size 1</cxl-button-flat>
        <cxl-button-flat size="2">Size 2</cxl-button-flat>
   </cxl-toolbar>
 */
export declare class ButtonFlat extends ButtonFlatBase {
}
