/// <amd-module name="@cxl/ui/button-outline.js" />
import { Size } from './core.js';
import { ButtonHeadless } from './button.js';
/**
 * The ButtonOutline component provides a button with an outline style.
 *
 * @beta
 * @demo
   <cxl-toolbar>
        <cxl-button-outline size="-1">Small</cxl-button-outline>
        <cxl-button-outline size="0" color="primary">Size 0</cxl-button-outline>
        <cxl-button-outline size="1" color="secondary">Size 1</cxl-button-outline>
        <cxl-button-outline size="2">Size 2</cxl-button-outline>
        <cxl-button-outline disabled>Disabled</cxl-button-outline>
   </cxl-toolbar>
 */
export declare class ButtonOutline extends ButtonHeadless {
    /** Controls the size of the button. */
    size: Size;
}
