/// <amd-module name="@cxl/ui/calendar-year.js" />
import { CustomInputBase } from './input-base.js';
/**
 * Year input component. It allows you to set a starting year and shows a user-selectable year value.
 *
 * @beta
 * @demo
 * <cxl-calendar-year value="1984-08-06" startyear="1980"></cxl-calendar-year>
 */
export declare class CalendarYear extends CustomInputBase {
    /**
     * This property defines the starting year displayed in the input.
     */
    'startyear': number;
    /**
     * This property holds the currently selected year.
     */
    value: number;
    /**
     * This method focuses the internal button element (if present) within the component's shadow DOM.
     * It checks for disabled state and the existence of shadow DOM before attempting to focus.
     */
    focus(): void;
}
