/// <amd-module name="@cxl/ui/colorpicker.js" />
import { Component } from './component.js';
export declare function hsvToRgba([h, s, v, a]: [number, number, number, number]): readonly [number, number, number, number];
/**
 * This component renders a colorpicker web UI element.
 * It allows users to select a color through a saturation square, hue slider, and alpha slider.
 * The component also provides input fields for editing the color in HEX, RGB, and individual RGBA channels.
 * The colorpicker updates based on user interaction and emits a change event whenever the selected color changes.
 *
 * @beta
 * @since 4.0.8
 * @demo
 * <cxl-colorpicker></cxl-colorpicker>
 *
 */
export declare class Colorpicker extends Component {
    value: [number, number, number, number];
}
