/// <amd-module name="@cxl/ui/drag-swap.js" />
import { DragDropEvent } from './drag.js';
import { DragHandle } from './drag-handle.js';
/**
 * The cxl-drag-swap component enables drag-and-drop swapping functionality for elements within your web application.
 * Users can drag an element and drop it on another wrapped element to swap their positions.
 *
 * @beta
 * @demo
<style>
    .cxl-drag-swap cxl-drag-swap { display: block; padding: 10px; margin: 5px; }
    .cxl-drag-swap cxl-drag-swap[dragging] { opacity: 0.7; }
    .cxl-drag-swap cxl-drag-swap[dragover] { background-color: #ddd; }
</style>
<div class="cxl-drag-swap" style="overflow:hidden">
    <cxl-drag-swap><span style="font-weight: bold;">Item 1</span></cxl-drag-swap>
    <cxl-drag-swap>Item 2</cxl-drag-swap>
    <cxl-drag-swap>
        <cxl-icon name="star" alt="Image 3"></cxl-icon>
    </cxl-drag-swap>
</div>
 */
export declare class DragSwap extends DragHandle {
    protected handleDrag(ev: DragDropEvent): void;
}
