/// <amd-module name="@cxl/ui/file-upload.js" />
import { ProxiedInputBase } from './input-base.js';
/**
 * The FileUpload component is a reusable element for uploading files.
 * It provides a user-friendly way to select and upload files through a hidden input element.
 *
 * The component allows selecting and uploading multiple files at once.
 *
 * @beta
 * @example
 * <cxl-file-upload>
 *   <cxl-button>Upload File</cxl-button>
 * </cxl-file-upload>
 */
export declare class FileUpload extends ProxiedInputBase {
    inputEl: HTMLInputElement;
    /**
     * An array of File objects representing the selected files.
     * This property is automatically updated when the user selects files or drops them onto the component.
     */
    value: File[] | undefined;
}
