/// <amd-module name="@cxl/ui/icon-toggle.js" />
import { SurfaceColorValue } from './theme.js';
import { IconButton } from './icon-button.js';
export declare class IconToggle extends IconButton {
    /**
     * Reflects the current active state of the button
     */
    pressed: boolean;
    /**
     * When set to true, applies a flat button style without elevation or borders.
     */
    flat: boolean;
    /**
     * Sets the color of the button. This applies to both the icon color and the ripple effect.
     */
    color: SurfaceColorValue | undefined;
    /**
     * Defines the icon to be displayed when the button is pressed.
     */
    iconon?: string;
    /**
     * Defines the icon to be displayed when the button is not pressed.
     */
    iconoff?: string;
}
/**
 * A button that toggles the icon stroke and fill color.
 * @beta
 * @demo
 * <cxl-icon-toggle-style aria-label="demo icon toggle" style="--cxl-primary: #f9a825" icon="star"></cxl-icon-toggle>
 * <cxl-icon-toggle-style aria-label="demo icon toggle" style="--cxl-primary: #f9a825" pressed icon="star"></cxl-icon-toggle>
 */
export declare class IconToggleStyle extends IconToggle {
}
