/// <amd-module name="@cxl/ui/input-masked.js" />
import { TextInputBase } from './input.js';
/**
 * Custom input component with masking functionality.
 *
 * @beta
 */
export declare class InputMasked extends TextInputBase {
    /**  A string representing the current value of the input field. */
    value: unknown;
    protected maskEl: HTMLElement;
    /** The mask pattern for formatting the input value. */
    mask: string | ((val: unknown, oldVal: unknown) => string);
    /** The parsing function to extract the actual value from the masked input. */
    parse: string | ((val: string) => unknown);
    inputEl: HTMLInputElement;
}
