/// <amd-module name="@cxl/ui/input-number.js" />
import { TextInputBase } from './input.js';
declare function defaultFormatter(n: number | undefined): string;
/**
 * The InputNumber component provides an input field specifically designed for entering and editing numeric values.
 * It inherits core functionalities from `TextInputBase` and offers formatting and validation tailored for numbers.
 *
 * @example
 * <cxl-field>
 * 	 <cxl-label>Number Input</cxl-label>
 * 	 <cxl-input-number value="10"></cxl-input-number>
 * </cxl-field>
 */
export declare class InputNumber extends TextInputBase {
    /** A number representing the current value of the input field. */
    value: number | undefined;
    /**
     * Function used to format the displayed value of the input field.
     * Defaults to `defaultFormatter` which simply converts the number to a string.
     */
    formatter: typeof defaultFormatter;
    inputEl: HTMLInputElement;
}
export {};
