/// <amd-module name="@cxl/ui/input-password.js" />
import { TextInputBase } from './input.js';
/**
 * The PasswordInput component provides an input field designed for entering passwords.
 * It inherits core functionalities from TextInputBase and offers password masking to protect user input.
 *
 * @example
 * <cxl-field floating>
 *   <cxl-label>Password</cxl-label>
 *   <cxl-password value="password"></cxl-password>
 * </cxl-field>
 */
export declare class PasswordInput extends TextInputBase {
    /**
     * A string representing the current password value
     */
    value: string;
    reveal: boolean;
    inputEl: HTMLInputElement;
}
