/// <amd-module name="@cxl/ui/input-timepicker.js" />
import { CustomInputBase } from './input-base.js';
export declare const TimepickerContent: {
    'timepicker.timeperiod': string;
    'timepicker.hourinput': string;
    'timepicker.mininput': string;
    'timepicker.notset': string;
    'timepicker.am': string;
    'timepicker.pm': string;
};
/**
 * Input used to select the time period (AM or PM) of a Date.
 *
 * @beta
 * @demo
 * <cxl-time-period-toggle value="1984"></cxl-time-period-toggle>
 */
export declare class TimePeriodToggle extends CustomInputBase {
    /** A Date object representing the selected time. */
    value: Date | undefined;
}
/**
 * The InputTimepicker component provides an element for selecting a time with separate
 * controls for hours, minutes, and time period (AM/PM).
 *
 * @beta
 * @demo
 * <cxl-field>
 *   <cxl-label>Select Time</cxl-label>
 *   <cxl-input-timepicker>
 * </cxl-field>
 */
export declare class InputTimepicker extends CustomInputBase {
    /**
     * A Date object representing the selected time.
     */
    value: Date | undefined;
    /** Sets focus to the first enabled child element (hours input by default). */
    focus(): void;
}
