/// <amd-module name="@cxl/ui/model.js" />
import { ComponentAttributeName } from './component.js';
import { Observable } from './rx.js';
import { ElementWithValue } from './core.js';
type CommonKeys<T, T2> = keyof {
    [K in keyof T]: K extends ComponentAttributeName<T2> ? T[K] : never;
};
type CommonProperties<T, T2> = {
    [K in CommonKeys<T, T2>]: K extends ComponentAttributeName<T2> ? T[K] extends T2[K] ? T[K] : never : never;
};
interface NextObservable<T> extends Observable<T> {
    next(val: T): void;
}
export declare function sync<T>(getA: Observable<T>, setA: (val: T) => void, getB: Observable<T>, setB: (val: T) => void, value?: T): Observable<T, "none">;
export declare function syncAttribute<T extends Node, T2 extends Node>(A: T, B: T2, attr: keyof CommonProperties<T, T2>): Observable<T[keyof T], "none">;
export declare function syncElement<T>(el: ElementWithValue<T>, read: Observable<T>, write: (val: T) => void): Observable<T, "none">;
export declare function model<T>(el: ElementWithValue<T>, ref: NextObservable<T>): Observable<T, "none">;
export {};
