/// <amd-module name="@cxl/ui/navbar-bottom.js" />
import { Component } from './component.js';
/**
 * The NavbarBottom component represents a bottom navigation bar typically used in mobile applications
 * for primary navigation. It positions itself at the bottom of the screen and holds navigation buttons.
 *
 * @example
 * <cxl-page style="height:120px">
 * <cxl-navbar-bottom>
 *   <cxl-button size="-1" flat vflex>
 *     <cxl-icon name="favorite"></cxl-icon>
 *     Favorites
 *   </cxl-button>
 *   <cxl-button size="-1" flat vflex>
 *     <cxl-icon name="contacts"></cxl-icon>
 *     Contacts
 *   </cxl-button>
 *   <cxl-button size="-1" flat vflex>
 *     <cxl-icon name="help"></cxl-icon>
 *     Help
 *   </cxl-button>
 * </cxl-navbar-bottom>
 * </cxl-page>
 */
export declare class NavbarBottom extends Component {
}
