/// <amd-module name="@cxl/ui/password-reveal.js" />
import { IconToggle } from './icon-toggle.js';
import { Observable } from './rx.js';
/**
 * Toggles the visibility of a password field's value between masked and unmasked states.
 *
 * @beta
 * @demo
    <cxl-field dense>
        <cxl-label>Enter Password</cxl-label>
        <cxl-password value="Password"></cxl-password>
        <cxl-password-reveal></cxl-password-reveal>
    </cxl-field>
 */
export declare class PasswordReveal extends IconToggle {
    /**
     * Defines the icon to be displayed when the password is masked (hidden).
     */
    iconon: string;
    /**
     * Defines the icon to be displayed when the password is unmasked (visible)
     */
    iconoff: string;
    labelon: Observable<string> | string;
    labeloff: Observable<string> | string;
}
