/// <amd-module name="@cxl/ui/progress.js" />
import { Component } from './component.js';
/**
 * The Progress component represents a linear progress indicator, visually displaying progress along a fixed bar.
 *
 * @example
 * <cxl-progress aria-label="indeterminate progress bar"></cxl-progress><br/>
 * <cxl-progress aria-label="progress bar" value="0.5"></cxl-progress>
 */
export declare class Progress extends Component {
    /** Controls the progress level (0-1 for definite progress, Infinity for indeterminate). */
    value: number;
}
