/// <amd-module name="@cxl/ui/radio.js" />
import { CustomInputBase } from './input-base.js';
/**
 * The Radio component represents a single radio button element used within a group
 * to allow users to select one option from a set of choices.
 *
 * All radio buttons within the same group must share the same name.
 *
 * @example
 * <cxl-radio inline name="test" value="1">Radio 1</cxl-radio>
 * <cxl-radio inline name="test" value="2" checked>Radio 2</cxl-radio>
 */
export declare class Radio extends CustomInputBase {
    /**
     * A style attribute controlling the checked state of the radio button (true for selected, false for unselected).
     */
    checked: boolean;
    /**
     * The value associated with the radio button, submitted when selected.
     */
    value: unknown;
}
