import type { Component } from './component.js';
type HTMLEvents = {
    [K in keyof HTMLElementEventMap as `on${Capitalize<K>}`]: (e: HTMLElementEventMap[K]) => unknown;
};
type ExportT = typeof import('./index.js');
type ComponentT = {
    [K in keyof ExportT]: ExportT[K] extends typeof Component ? InstanceType<ExportT[K]> : never;
};
type CamelToSnakeCase<S extends string> = S extends `${infer T}${infer U}` ? `${T extends Capitalize<T> ? '-' : ''}${Lowercase<T>}${CamelToSnakeCase<U>}` : S;
declare global {
    namespace React {
        namespace JSX {
            type IntrinsicElementsType = {
                [K in keyof ComponentT as `cxl${CamelToSnakeCase<string & K>}`]: Partial<ComponentT[K] & {
                    children: any;
                    class: string;
                    className: never;
                    ref: any;
                } & HTMLEvents>;
            };
            interface IntrinsicElements extends IntrinsicElementsType {
            }
        }
    }
}
export {};
