/// <amd-module name="@cxl/ui/switch.js" />
import { CustomInputBase } from './input-base.js';
/**
 * The Switch component represents a clickable switch control that allows users to toggle a single option between on and off states.
 * @example
 * <cxl-switch aria-label="demo switch"></cxl-switch>
 */
export declare class Switch extends CustomInputBase {
    /** Represents the underlying data value of the switch (true = on, false = off). */
    value: boolean;
    /** Controls the checked state of the switch (true = on, false = off). This visually reflects the current selection. */
    checked: boolean;
}
