/// <amd-module name="@cxl/ui/template.js" />
import { Observable } from './rx.js';
export interface InsertEvent<T, K> {
    type: 'insert';
    item: T;
    key: K;
}
export interface RemoveEvent<K> {
    type: 'remove';
    key: K;
}
export interface EmptyEvent {
    type: 'empty';
}
export type ListEvent<T, K> = InsertEvent<T, K> | RemoveEvent<K> | EmptyEvent;
import type { Bindable } from '@cxl/tsx';
export declare function sortBy<T, K extends keyof T = keyof T>(key: K): (a: T, b: T) => 1 | 0 | -1;
export declare function getSearchRegex(term: string, flags?: string): RegExp;
export declare function portal(id: string): (el: HTMLElement) => Observable<unknown, "none">;
export declare function teleport(el: Node, portalName: string): Observable<HTMLElement, "none">;
export declare class Marker {
    children: Node[];
    node: Comment;
    insert(content: Node, nextNode?: Node): void;
    remove(node: Node): void;
    empty(): void;
}
export declare function list<T, K>(source: Observable<ListEvent<T, K>>, renderFn: (item: T) => Node): (host: Bindable) => Comment;
export declare function render<T>(source: Observable<T>, renderFn: (item: T) => Node, loading?: () => Node, error?: (e: unknown) => Node): (host: Bindable) => Comment;
export declare function each<T>(source: Observable<Iterable<T>>, renderFn: (item: T, index: number, source: Iterable<T>) => Node | undefined, empty?: () => Node): (host: Bindable) => Comment;
export declare function $onAction<T extends Element>(cb: (ev: KeyboardEvent | MouseEvent) => void): (el: T) => Observable<MouseEvent, "none">;
export declare function escapeHtml(str: string): string;
