/// <amd-module name="@cxl/ui/textarea.js" />
import { TextInputBase } from './input.js';
/**
 * The Textarea component allows users to enter and edit text data that spans across multiple lines.
 *
 * @example
 * <cxl-field>
 *   <cxl-label>Prefilled Text Area</cxl-label>
 *   <cxl-textarea value="Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut"></cxl-textarea>
 * </cxl-field>
 */
export declare class TextArea extends TextInputBase {
    /**
     * This attribute specifies the initial value displayed within the text area.
     */
    value: string;
    /**
     * This property provides a reference to the underlying HTML textarea element.
     */
    inputEl: HTMLInputElement;
}
