/// <amd-module name="@cxl/ui/toolbar.js" />
import { Component } from './component.js';
import { SurfaceColorValue } from './theme.js';
/**
 * This component provides a customizable toolbar element for organizing actions and buttons within your application
 *
 * - Horizontal layout with flexbox for responsive design.
 * - Automatic spacing between elements for better readability.
 * - Ability to wrap content onto multiple lines if necessary.
 *
 * @example
 * <cxl-toolbar>
 *   <cxl-icon-button alt="save" icon="save"></cxl-icon-button>
 *   <cxl-icon-button alt="palette" icon="palette"></cxl-icon-button>
 *   <cxl-button flat>Text Button</cxl-button>
 * </cxl-toolbar>
 */
export declare class Toolbar extends Component {
    /** Optional dense property for a more compact version. */
    dense: boolean;
    color?: SurfaceColorValue;
}
