/**
 * Interface for options used with the `count` function.
 */
export interface CountOptions {
    start?: number;
    end: number;
    time?: number;
}
/**
 * Function to create an animation that counts from a start value to an end value over a specified duration.
 *
 * @param options - Configuration for the count animation.
 * @returns Observable that emits the current count value during the animation and the final end value upon completion.
 */
export declare function count({ start, end, time }: CountOptions): import("./rx.js").Observable<number, "none">;
