import { Component } from './component.js';
/**
 * The DatasetRows component facilitates the creation of dynamic content based on an array of data from a dataset.
 * It automatically manages the creation and positioning of child elements within the component,
 * aligning them with the data items.
 *
 * Typical Uses:
 * - Rendering lists of items based on a dataset.
 * - Creating data tables with rows populated from dataset records.
 * - Dynamically generating content sections based on data variations.
 *
 * The DatasetRows component listens for changes to a dataset.
 * When the data updates, it creates the necessary number of child elements (slots) to match the data array length.
 * It then iterates through existing child elements and assigns them appropriate slot names based on their position.
 *
 * @beta
 */
export declare class DatasetRows extends Component {
}
