export type DateFormat = Intl.DateTimeFormatOptions | DatePresetFormat;
export type DatePresetFormat = 'short' | 'long' | 'medium' | 'full' | 'relative';
export declare const DAY: number;
export declare const TimeRegex: RegExp;
export declare function parseTime(time: string): Date;
export declare function parseDate(date: string): Date;
export declare function presetDateFormat(date: Date, format: DatePresetFormat, locale?: string): string;
export declare function getMonthStartDate(date: Date): Date;
export declare function getMonthEndDate(date: Date): Date;
export declare function getMonthRange(date: Date): {
    start: Date;
    end: Date;
};
export declare function getRangeDates(start: Date, end: Date): Date[];
export declare function dayDiff(start: Date, end: Date): number;
export declare function dateInRange(date: Date, start: Date, end: Date): boolean;
export declare function DateAttribute(): <T extends import("./component.js").Component>(target: T, attribute: import("./component.js").ComponentAttributeName<T>, descriptor?: PropertyDescriptor) => any;
