import { Component } from './component.js';
/**
 * The Fieldset component acts as a container element used to group and visually separate related form input controls.
 * It provides a way to organize input fields under a common label or legend, improving form readability and user experience.
 *
 * Typical Uses:
 * - Grouping related checkboxes, radio buttons, or other form elements with a shared theme or functionality.
 * - Creating sections within a form to categorize and separate input fields.
 * - Enhancing the visual hierarchy of forms by providing clear divisions between input areas.
 *
 * @demo
 * <cxl-fieldset>
 *   <cxl-label>Fieldset Label</cxl-label>
 *   <cxl-checkbox>Checkbox 1</cxl-checkbox>
 *   <cxl-checkbox>Checkbox 2</cxl-checkbox>
 * </cxl-fieldset>
 */
export declare class Fieldset extends Component {
    /**
     * Controls whether the fieldset has an outline style
     */
    outline: boolean;
}
