import { Component } from './component.js';
declare module './dom.js' {
    interface CustomEventMap {
        'focusable.change': void;
    }
}
interface DisableElement extends HTMLElement {
    disabled: boolean;
}
export interface FocusableComponent extends Component {
    disabled: boolean;
    touched: boolean;
}
export declare const stateStyles: () => HTMLStyleElement;
export declare function disabledAttribute(host: Component & {
    disabled: boolean;
}): import("./rx.js").Observable<boolean, "none">;
export declare function focusableEvents<T extends FocusableComponent>(host: T, element?: HTMLElement): import("./rx.js").Observable<FocusEvent | T["disabled"] | T["touched"], "none">;
export declare function focusableDisabled<T extends FocusableComponent>(host: T, element?: HTMLElement): import("./rx.js").Observable<boolean, "none">;
export declare function focusable<T extends FocusableComponent>(host: T, element?: HTMLElement): import("./rx.js").Observable<boolean | FocusEvent | T["disabled"] | T["touched"], "none">;
export declare function focusDelegate<T extends FocusableComponent>(host: T, delegate: DisableElement): import("./rx.js").Observable<boolean | FocusEvent | T["disabled"] | T["touched"], "none">;
/**
 * Adds focusable functionality to input components.
 */
export declare function Focusable(host: FocusableComponent): HTMLStyleElement;
export {};
