import { ButtonBase } from './button.js';
/**
 * The IconButton component provides a button styled for displaying an icon.
 *
 * @example
 * <cxl-icon-button icon="search" aria-label="search icon button"></cxl-icon-button>
 * <cxl-icon-button icon="help" width="48" aria-label="help icon button"></cxl-icon-button>
 */
export declare class IconButton extends ButtonBase {
    /**
     * A string representing the name of the icon to be displayed within the button.
     */
    icon: string;
    /**
     * A number specifying the desired width of the button in pixels.
     */
    width?: number;
    /**
     * A number specifying the desired height of the button in pixels.
     */
    height?: number;
}
