import { Component } from './component.js';
export declare const MenuIcon: (prop?: import("./theme.js").SvgIconAttributes | undefined) => SVGSVGElement;
export declare const MoreVertIcon: (prop?: import("./theme.js").SvgIconAttributes | undefined) => SVGSVGElement;
export declare const CloseIcon: (prop?: import("./theme.js").SvgIconAttributes | undefined) => SVGSVGElement;
export declare function iconSprite(href: string): SVGSVGElement;
/**
 * The Icon component provides a reusable and declarative way to display icons within your application.
 *
 * Simplifies icon usage by handling icon retrieval, sizing, and basic styling.
 * Offers a central location to manage icon definitions and their rendering logic.
 *
 * @demo
 * <cxl-icon name="public" alt="globe" width="48"></cxl-icon>
 */
export declare class Icon extends Component {
    /**
     * A string representing the name or identifier of the icon to be displayed.
     * This name is used to retrieve the icon definition from an external source.
     */
    name: string;
    /**
     * A number specifying the desired width of the icon in pixels.
     */
    width?: number;
    /**
     * A number specifying the desired height of the icon in pixels.
     */
    height?: number;
    /**
     * A string to be used as the alt attribute of the rendered icon element,
     * providing alternative text for accessibility purposes.
     */
    alt?: string;
}
