import { AnimationKey } from './theme.js';
import { PopupBase } from './popup.js';
/**
 * The Menu component represents a context menu that displays a list
 * of choices on a temporary surface. It appears on demand, typically triggered
 * by user interaction with a specific element.
 *
 * @demo
 * <cxl-menu visible>
 *   <cxl-item disabled>Option disabled</cxl-item>
 *   <cxl-item selected>Option Selected</cxl-item>
 *   <cxl-item>Option 2</cxl-item>
 *   <cxl-hr></cxl-hr>
 *   <cxl-item>Option 3</cxl-item>
 * </cxl-menu>
 */
export declare class Menu extends PopupBase {
    /**
     *  A boolean attribute for a more compact menu with reduced padding.
     */
    dense: boolean;
    animationin?: AnimationKey;
    animationout?: AnimationKey;
    handleFocus: boolean;
}
