import type { Observable } from './rx.js';
type SelectableNode = HTMLElement;
export interface NavigationOptions {
    host: HTMLElement;
    getNext(): Element | null;
    getPrevious(): Element | null;
}
export interface NavigationMenuOptions extends NavigationOptions {
    getFirst(): Element | null;
    getLast(): Element | null;
    escape?(): void;
}
export declare function navigationMenu(options: NavigationMenuOptions): Observable<Element | null | undefined, "none">;
/**
 * Handles list keyboard navigation (up and down only), emits the next selected item.
 */
export declare function navigationListUpDown(host: SelectableNode, selector: string, startSelector?: string, input?: EventTarget): Observable<Element | null, "none">;
/**
 * Handles keyboard navigation, emits the next selected item.
 */
export declare function navigationList(host: SelectableNode, selector: string, startSelector: string, input?: HTMLElement | Window): Observable<HTMLElement>;
export {};
