import { CustomInputBase } from './input-base.js';
/**
 * Displays interactive star icons for selecting a rating.
 *
 * - Supports setting a maximum number of stars.
 * - Allows hovering over stars to preview the rating.
 * - Updates the selected rating value based on user interaction.
 *
 * @beta
 * @demo
 * <cxl-rating-input value="3"></cxl-rating-input>
 */
export declare class RatingInput extends CustomInputBase {
    /** The maximum number of stars */
    max: number;
    /** The current selected rating value  */
    value: number;
    /** Sets focus to the interactive element within the component */
    focus(): void;
}
