import { Component } from './component.js';
export declare function getStars<T extends HTMLElement>(n: number, cls: string, create?: () => Node): T[];
/**
 * Displays a star rating using filled and partially filled star icons.
 *
 * - Supports setting a maximum number of stars
 * - Supports setting the current rating value (can be fractional).
 * - Includes an alt attribute for providing alternative text for accessibility.
 *
 * @beta
 * @demo
 * <cxl-rating rating="3.5" alt="3.5 rating"></cxl-rating>
 */
export declare class Rating extends Component {
    /** The maximum number of stars. */
    max: number;
    /** The current rating value */
    rating: number;
    /** The alternative text for the rating */
    alt?: string;
}
