import { Observable } from './rx.js';
declare module './dom.js' {
    interface CustomEventMap {
        registable: RegistableDetail<keyof RegistableMap>;
    }
}
export interface RegistableMap {
}
export interface RegistableDetail<K extends keyof RegistableMap> {
    id: K;
    controller?: RegistableMap[K];
    unsubscribe?: () => void;
    target: EventTarget;
}
export interface RegistableEvent<T> {
    type: 'connect' | 'disconnect';
    target: T;
    element: EventTarget;
    elements: Set<T>;
}
export declare function registable<K extends keyof RegistableMap>(id: K, target: RegistableMap[K]): Observable<never>;
export declare function registable<K extends keyof RegistableMap>(id: K, target: EventTarget, controller: RegistableMap[K]): Observable<never>;
export declare function orderElements<T extends HTMLElement>(elements?: T[]): (ev: RegistableEvent<T>) => T[];
export declare function registableHost<K extends keyof RegistableMap>(id: K, host: EventTarget, elements?: Set<RegistableMap[K]>): Observable<RegistableEvent<RegistableMap[K]>, "none">;
