import { Observable } from './rx.js';
import { Component } from './component.js';
declare module './dom.js' {
    interface CustomEventMap {
        'selectable.action': SelectableTarget;
    }
}
declare module './registable' {
    interface RegistableMap {
        selectable: SelectableTarget;
    }
}
export interface SelectableTarget extends Component {
    value: unknown;
    selected: boolean;
    view?: typeof Component;
}
export interface SelectableBase<T> extends Element {
    options: Set<T>;
    optionView?: typeof Component;
}
interface SelectableHost<T> extends SelectableBase<T> {
    selected?: T;
}
/**
 * Handles element selection events. Emits everytime a new item is selected.
 */
export declare function selectableHost<TargetT extends SelectableTarget>(host: SelectableHost<TargetT>, input: Observable<(HTMLElement & {
    value: unknown;
}) | undefined>, op?: {
    force: boolean;
}): Observable<TargetT | undefined, "none">;
export declare function selectable<T extends SelectableTarget>(host: T): Observable<string | number | boolean | MouseEvent, "none">;
export {};
