import { Component } from './component.js';
/**
 * Provides support for dragging and dropping table columns.
 *
 * @beta
 * @demo
<cxl-table>
    <cxl-tr>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col A
        </cxl-th>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col B
        </cxl-th>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col C
        </cxl-th>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col D
        </cxl-th>
    </cxl-tr>
    <cxl-tr>
        <cxl-td>A - 1</cxl-td>
        <cxl-td>B - 1</cxl-td>
        <cxl-td>C - 1</cxl-td>
        <cxl-td>D - 1</cxl-td>
    </cxl-tr>
    <cxl-tr>
        <cxl-td>A - 2</cxl-td>
        <cxl-td>B - 2</cxl-td>
        <cxl-td>C - 2</cxl-td>
        <cxl-td>D - 2</cxl-td>
    </cxl-tr>
    <cxl-tr>
        <cxl-td>A - 3</cxl-td>
        <cxl-td>B - 3</cxl-td>
        <cxl-td>C - 3</cxl-td>
        <cxl-td>D - 3</cxl-td>
    </cxl-tr>
</cxl-table>
 */
export declare class ThDrag extends Component {
}
/**
 * The TrDrag component is used within a table structure to enable drag-and-drop functionality for table rows.
 * @beta
 * @demo
<cxl-table>
    <cxl-tr>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col A
        </cxl-th>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col B
        </cxl-th>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col C
        </cxl-th>
        <cxl-th>
            <cxl-th-drag></cxl-th-drag>
            Col D
        </cxl-th>
    </cxl-tr>
    <cxl-tr-drag>
        <cxl-tr>
            <cxl-td>A - 1</cxl-td>
            <cxl-td>B - 1</cxl-td>
            <cxl-td>C - 1</cxl-td>
            <cxl-td>D - 1</cxl-td>
        </cxl-tr>
    </cxl-tr-drag>
    <cxl-tr-drag>
    <cxl-tr>
        <cxl-td>A - 2</cxl-td>
        <cxl-td>B - 2</cxl-td>
        <cxl-td>C - 2</cxl-td>
        <cxl-td>D - 2</cxl-td>
    </cxl-tr>
    </cxl-tr-drag>
    <cxl-tr-drag>
    <cxl-tr>
        <cxl-td>A - 3</cxl-td>
        <cxl-td>B - 3</cxl-td>
        <cxl-td>C - 3</cxl-td>
        <cxl-td>D - 3</cxl-td>
    </cxl-tr>
    </cxl-tr-drag>
</cxl-table>
 */
export declare class TrDrag extends Component {
}
/**
 * @beta
 * @since 4.0.2
 */
export declare class ThResize extends Component {
}
