import { Component } from './component.js';
/**
 * The Table component provides the core structure and styles for displaying tabular data with rows and columns.
 *
 * @example
<cxl-table>
    <cxl-tr>
        <cxl-th width="100px">Header 1</cxl-th>
        <cxl-th>Header 2</cxl-th>
        <cxl-th>Header 3</cxl-th>
    </cxl-tr>
    <cxl-tr>
        <cxl-td>Cell 1</cxl-td>
        <cxl-td>Cell 2</cxl-td>
        <cxl-td>Cell 3</cxl-td>
    </cxl-tr>
</cxl-table>
 * @see Tr
 * @see Td
 */
export declare class Table extends Component {
}
declare class Cell extends Component {
}
/**
 * The Th component defines a styled cell element for displaying headers within a table structure.
 *
 * @demo
 * <cxl-table>
 *   <cxl-tr>
 *     <cxl-th>Name</cxl-th>
 *     <cxl-th>Email</cxl-th>
 *   </cxl-tr>
 * </cxl-table>
 */
export declare class Th extends Component {
}
/**
 * The Td component represents a table data cell used within a Table for displaying data content within rows.
 *
 * @see Table
 */
export declare class Td extends Cell {
}
/**
 * The Tr component represents a single horizontal row of data within a table.
 * It allows you to group and structure your table data.
 * @see Table
 */
export declare class Tr extends Component {
}
/**
 * The TableBody component represents the body section of a table, which typically contains all the data rows.
 * It serves as a container element for cxl-tr components.
 * @see Table
 */
export declare class TableBody extends Component {
}
export {};
