/**
 * Terminal User Interface Theme
 * @alpha
 */
export declare const theme: {
    readonly colors: {
        error: import("./css.js").RGBA;
        errorOnPrimary: import("./css.js").RGBA;
        onError: import("./css.js").RGBA;
        warning: import("./css.js").RGBA;
        onWarning: import("./css.js").RGBA;
        success: import("./css.js").RGBA;
        onSuccess: import("./css.js").RGBA;
        darkGray: import("./css.js").RGBA;
        onDarkGray: import("./css.js").RGBA;
        fieldMask: string;
        primaryLight: import("./css.js").RGBA;
        onPrimaryLight: import("./css.js").RGBA;
        secondaryLight: import("./css.js").RGBA;
        onSecondaryLight: import("./css.js").RGBA;
        headerText: import("./css.js").RGBA;
        onSurface8: import("./css.js").RGBA;
        onSurface12: import("./css.js").RGBA;
        divider: import("./css.js").RGBA;
        shadow: import("./css.js").RGBA;
        primary: import("./css.js").RGBA;
        onPrimary: import("./css.js").RGBA;
        secondary: import("./css.js").RGBA;
        onSecondary: import("./css.js").RGBA;
        surface: import("./css.js").RGBA;
        onSurface: import("./css.js").RGBA;
        background: import("./css.js").RGBA;
        onBackground: import("./css.js").RGBA;
    };
    readonly variables: {
        readonly font: "\"Roboto Mono\", monospace";
        readonly scrollbarWidth: "16px";
        readonly scrollbarHeight: "24px";
        readonly scrollbarBackground: "#808080";
        readonly scrollbarForeground: "#008080";
        readonly headerText: "inherit";
    };
    readonly typography: {
        readonly default: {
            readonly fontWeight: 400;
            readonly fontFamily: "var(--cxl-font)";
            readonly fontSize: "16px";
            readonly lineHeight: "24px";
            readonly letterSpacing: "normal";
        };
        readonly caption: {
            readonly fontSize: "16px";
        };
        readonly h1: {
            readonly fontSize: "16px";
        };
        readonly h2: {
            readonly fontSize: "16px";
        };
        readonly h3: {
            readonly fontSize: "16px";
        };
        readonly h4: {
            readonly fontSize: "16px";
        };
        readonly h5: {
            readonly fontSize: "16px";
        };
        readonly h6: {
            readonly fontSize: "16px";
        };
        readonly body2: {
            readonly fontSize: "16px";
        };
        readonly subtitle: {
            readonly fontSize: "16px";
        };
        readonly subtitle2: {
            readonly fontSize: "16px";
        };
        readonly button: {
            readonly fontSize: "16px";
        };
        readonly code: {
            readonly fontSize: "16px";
        };
    };
    readonly override: {
        readonly 'CXL-PROGRESS': ":host{height:12px;} :host .indicator{height:12px}";
        readonly 'CXL-ALERT': ":host{margin-top:12px;margin-bottom:12px}\n:host([dense]){padding:0;margin:0;}\n:host([dense][outline]){border-width:0}\n:host([outline]){border-width:16px;}";
        readonly 'CXL-APPBAR': ":host .flex{height:24px;padding:0 16px}";
        readonly 'CXL-DIALOG': ":host .content{outline:1px solid var(--cxl-divider);outline-offset:-8px;padding:24px 16px}";
        readonly 'CXL-FIELD': ":host([outline]){padding:11px 7px}:host([outline]) .container{border-radius:0}:host(:focus-within) .label{color:var(--cxl-background)} ";
        readonly 'CXL-ICON': ":host{width:16px}";
        readonly 'CXL-ICON-BUTTON': ":host{padding:0 16px 0 16px;margin:0 -16px 0 -16px;border-radius:0}";
        readonly 'CXL-THEME-TOGGLE-ICON': ":host{padding:0 16px 0 16px;margin:0 -16px 0 -16px;border-radius:0}";
        readonly 'CXL-NAVBAR': ":host{height:24px}";
        readonly 'CXL-TOOLBAR': ":host{min-height:24px;gap:0 16px;padding:0 16px 0 16px}:host([dense]){min-height:24px}";
        readonly 'CXL-HR': ":host{margin:11px -8px 12px -8px}";
        readonly 'CXL-BUTTON': ":host,:host([size]){border-radius:0;font-size:16px;padding:0 16px;min-height:24px}:host{gap:16px}";
        readonly 'CXL-TAB': ":host{min-height:24px;padding-top:2px;line-height:20px;column-gap:16px}:host([aria-selected=\"true\"]){background-color:#808080;color:#ffffff}";
        readonly 'CXL-ROUTER-TAB': ":host{min-height:24px;padding-top:2px;line-height:20px;column-gap:16px}:host([aria-selected=\"true\"]){background-color:#808080;color:#ffffff}";
        readonly 'CXL-TABS': ":host .selected{display:none !important}";
        readonly 'CXL-GRID': ":host {row-gap:24px}";
    };
};
