import { Component } from './component.js';
/**
 * This class is a visual representation of the tooltip content.
 *
 * @beta
 */
export declare class TooltipPopup extends Component {
}
/**
 * A tooltip component that displays a popup when its parent is hovered or focused.
 * The popup is delayed by the `delay` attribute, defaulting to 500 milliseconds.
 * The tooltip's content is displayed within the popup.
 *
 * @demo
 * <cxl-button>
 *   <cxl-tooltip>Tooltip Content</cxl-tooltip>
 *   Button With Tooltip
 * </cxl-button>
 * @beta
 */
export declare class Tooltip extends Component {
    /**
     * The delay in milliseconds before the tooltip is shown.
     */
    delayin: number;
    /**
     * The delay in milliseconds before the tooltip is hidden.
     */
    delayout: number;
}
