import{Subject,EMPTY,Observable,of,merge,be,from}from"./rx.js";import{on}from"./dom.js";function getTouchId(t){for(const e of t.changedTouches)if(e.target===t.target)return e.identifier}function findTouch(t,e){for(const n of t.changedTouches)if(n.identifier===e)return n}function toEvent(t,{target:e,clientX:n,clientY:r}){if(!e)throw new Error("Invalid Event Target");return{type:t,target:e,clientX:n,clientY:r}}function DragState(){const t={},e=be(t),n=new Subject;return{dragging:e,dropping:n,elements:t,next:()=>e.next(t)}}const dragState=DragState();export function onTouchSwipe({target:t}){let e,n,r;return touchEvents(t).switchMap((t=>{if("start"===t.type)n=t.clientX,r=t.clientY,e=Date.now();else if("end"===t.type){const o=t.clientX-n,a=t.clientY-r;if(Date.now()-e<1e3&&Math.abs(o)>30&&Math.abs(o)>Math.abs(a))return of({type:o>0?"swipe-right":"swipe-left"})}return EMPTY}))}function abstractDrag(t){return({target:e,moveTarget:n,delay:r})=>{let o=!1,a=0;r??(r=60);const i=n||e,s=e.style;let{userSelect:g,transition:c}=s;return new Observable((n=>{function u(t,e=!0){o?(o=!1,i.style.transition=c,p?.unsubscribe(),n.next(t),delete dragState.elements.mouse,e&&dragState.dropping.next({element:i,event:t}),dragState.next()):clearTimeout(a)}let p;g=s.userSelect,s.userSelect="none";const l=merge(t(e).switchMap((t=>("start"===t.type?(c=i.style.transition,o=!1,a=setTimeout((()=>{i.style.transition="none",o=!0,n.next(t),p=on(window,"keydown").tap((t=>{o&&"Escape"===t.key&&(t.preventDefault(),u({type:"end",target:e,clientX:0,clientY:0},!0))})).subscribe()}),r)):"move"===t.type&&o&&(n.next(t),dragState.elements.mouse={element:i,event:t},dragState.next()),"end"!==t.type?EMPTY:of(t)))).debounceTime().tap(u),on(e,"click",{capture:!0}).tap((t=>{o&&t.target===e&&t.stopImmediatePropagation()}))).subscribe();return()=>{l.unsubscribe(),p?.unsubscribe(),s.userSelect=g}}))}}export function mouseEvents(t){return on(t,"mousedown").switchMap((t=>t.currentTarget?(t.preventDefault(),new Observable((e=>{e.next(toEvent("start",t));const n=merge(on(window,"mousemove").tap((t=>e.next(toEvent("move",t)))),on(window,"mouseup").tap((t=>{n.unsubscribe(),e.next(toEvent("end",t))}))).subscribe();return()=>n.unsubscribe()}))):EMPTY))}export function touchEvents(t){return t.style.touchAction||(t.style.touchAction="none"),on(t,"touchstart",{passive:!0}).switchMap((t=>{const e=getTouchId(t);if(void 0===e)return EMPTY;const n=findTouch(t,e);return n?(t.stopPropagation(),new Observable((t=>{t.next(toEvent("start",n));const r=merge(on(window,"touchmove",{passive:!0}).tap((n=>{const r=findTouch(n,e);r&&t.next(toEvent("move",r))})),on(window,"touchend").tap((n=>{const o=findTouch(n,e);r.unsubscribe(),o&&t.next(toEvent("end",o))}))).subscribe();return()=>r.unsubscribe()}))):EMPTY}))}export const onMouseDrag=abstractDrag(mouseEvents);export const onTouchDrag=abstractDrag(touchEvents);export function onDrag(t){return merge(onTouchDrag(t),onMouseDrag(t))}export function dragInside(t){let e;return onDrag({target:t,delay:0}).map((n=>{"start"===n.type&&(e=t.getBoundingClientRect());const r=(n.clientX-e.x)/e.width,o=(n.clientY-e.y)/e.height;return{type:n.type,target:t,clientX:r,clientY:o,startX:e.x,startY:e.y}}))}function isInside(t,e){const n=e.clientX,r=e.clientY;return t.left<n&&t.right>n&&t.top<r&&t.bottom>r}function getDragElements(t){const e=dragState.elements,n=[];let r;for(const o in e){const a=e[o],{event:i,element:s}=a;i&&s!==t&&(r||(r=t.getBoundingClientRect()),isInside(r,i)&&n.push({type:"over",target:t,relatedTarget:s,clientX:i.clientX,clientY:i.clientY}))}return n}export function dragOverElements(t){let e=0;return dragState.dragging.switchMap((()=>{const n=getDragElements(t);return 0===e&&0===n.length?EMPTY:(e=n.length,of(n))}))}export function onDragOver(t){return dragOverElements(t).switchMap((e=>0===e.length?of({type:"out",target:t,clientX:0,clientY:0}):from(e)))}export function onDrop(t){return dragState.dropping.switchMap((({element:e,event:n})=>t!==e&&isInside(t.getBoundingClientRect(),n)?of({type:"drop",target:t,clientX:n.clientX,clientY:n.clientY,relatedTarget:e}):EMPTY))}export function onDropNative(t){return merge(on(t,"dragover").tap((t=>t.preventDefault())).ignoreElements(),on(t,"drop").map((()=>{const t=dragState.elements.drag?.element;return delete dragState.elements.drag,t})))}function getStart(t,e){return{width:t.offsetWidth,height:t.offsetHeight,x:e.clientX,y:e.clientY,sx:e.clientX/t.offsetWidth,sy:e.clientY/t.offsetHeight}}export function mapDragMove({target:t,moveTarget:e,axis:n}){let r;return o=>{const a=e||t;if("start"===o.type)r=getStart(a,o);else if("end"===o.type)a.style.transform="",r=void 0;else if(r){const t="y"===n?0:(o.clientX-r.x)/r.width,e="x"===n?0:(o.clientY-r.y)/r.height;return of({event:o,x:t,y:e,sx:r.sx,sy:r.sy})}return EMPTY}}export function dragMoveApply(t){return({x:e,y:n})=>{(t.moveTarget||t.target).style.transform=`translate(${100*e}%, ${100*n}%)`}}export function onDragMove(t){return onDrag(t).switchMap(mapDragMove(t))}export function dragMove(t){return onDragMove(t).tap(dragMoveApply(t))}export function getDragPosition(t,e){const n=t.getBoundingClientRect();return{dragPositionY:e.clientY-n.top>n.height/2?"bottom":"top",dragPositionX:e.clientX-n.left>n.width/2?"right":"left"}}export function dragNative({axis:t,target:e}){return e.draggable=!0,merge(on(e,"dragstart"),on(e,"dragend")).switchMap((n=>{e&&n.dataTransfer?.setDragImage(e,n.offsetX,n.offsetY);const r=getStart(e,n);return"dragstart"===n.type?on(e,"drag").tap((n=>{dragState.elements.drag={element:e,event:toEvent("move",n)};const o="y"===t?0:(n.clientX-r.x)/r.width,a="x"===t?0:(n.clientY-r.y)/r.height;return dragState.next(),of({event:n,x:o,y:a,sx:r.sx,sy:r.sy})})):EMPTY}))}export function dropTarget(t){let e=0;return merge(on(t,"dragenter").tap((n=>{1==++e&&t.setAttribute("dragover",""),n.stopPropagation()})),on(t,"dragleave").tap((()=>{0==--e&&t.removeAttribute("dragover")})),on(t,"dragover").tap((t=>t.preventDefault())),on(t,"drop").tap((n=>{n.preventDefault(),n.stopPropagation(),t.removeAttribute("dragover"),e=0}))).filter((t=>"drop"===t.type))}export function swapChildren(t,e){const n=t.previousElementSibling,r=e.previousElementSibling;n?r?n===e?t.after(e):r===t?n.after(e):(n.after(e),r.after(t)):(e.before(t),n.after(e)):(t.before(e),r?.after(t)),t.removeAttribute("dragover")}export function dragEffects(t){const e=t.moveTarget||t.target;return merge(onDrag(t).tap((t=>{"start"===t.type?e.toggleAttribute("dragging",!0):"end"===t.type&&e.toggleAttribute("dragging",!1)})).switchMap(mapDragMove(t)).tap(dragMoveApply(t)).ignoreElements(),onDragOver(e).tap((t=>e.toggleAttribute("dragover","over"===t.type))),onDrop(e))}export function dragging(t){return dragState.dragging.map((e=>{for(const n in e)if(e[n]?.element===t)return!0;return!1}))}export function dragSwap(t){return dragEffects(t).tap((e=>{"drop"===e.type&&swapChildren(t.target,e.relatedTarget)}))}