import{Observable,from,of}from"./rx.js";import{content,registerText}from"./locale.js";import{getAttribute}from"./core.js";const EMAIL=/^(([^<>()[\].,;:\s@"]+(\.[^<>()[\].,;:\s@"]+)*)|(".+"))@(([^<>()[\].,;:\s@"]+\.)+[^<>()[\].,;:\s@"]{2,})$/i,ZIPCODE=/^\d{5}(?:[-\s]\d{4})?$/;export const ValidationContent={"validation.invalid":"Invalid value","validation.json":"Invalid JSON value","validation.zipcode":"Please enter a valid zip code","validation.equalTo":"Values do not match","validation.required":"This field is required","validation.notZero":"Value cannot be zero","validation.email":"Please enter a valid email address","validation.pattern":"Invalid pattern","validation.min":"Invalid value","validation.max":"Invalid value","validation.greaterThan":"Invalid value","validation.lessThan":"Invalid value"};function result(e,t,n){return{key:e,valid:t,message:n??content.get(`validation.${e}`,"validation.invalid")}}registerText(ValidationContent);export function empty(e){return null==e||""===e||!1===e||Array.isArray(e)&&0===e.length}export function pattern(e){const t="string"==typeof e?e=new RegExp(e):e;return e=>result("pattern","string"==typeof e&&(""===e||t.test(e)))}export function required(e){return result("required",null!=e&&""!==e&&!1!==e)}export function email(e){return result("email","string"==typeof e&&(""===e||EMAIL.test(e)))}export function zipcode(e){return result("zipcode","string"==typeof e&&(""===e||ZIPCODE.test(e)))}export function validJson(e){try{return JSON.parse(e),!0}catch(e){return!1}}export function json(e){return result("json",validJson(e))}function isInputBase(e){return e instanceof HTMLElement&&"value"in e}export function compare(e,t,n,r){const a=isInputBase(t)?getAttribute(t,"value"):t instanceof Observable?t:of(t);return t=>a.switchMap((a=>(void 0===r?content.get(`validation.${e}`,"validation.invalid"):of(r)).map((r=>result(e,!required(t)||!a||n(t,a),r)))))}function parseRule(e){const t=/(\w+)(?:\(([^)]+?)\))?/g,n=[];let r;for(;r=t.exec(e);)if(r[2]){const e=rulesWithParameters[r[1]];if(!e)throw`Invalid rule "${r[1]}"`;n.push(e(r[2]))}else{if(!(r[1]in rules))throw`Invalid rule "${r[1]}"`;n.push(rules[r[1]])}return n}export function parseRules(e){const t=("string"==typeof e?parseRule(e):e).flatMap((e=>"string"==typeof e?parseRule(e):e));return e=>t.map((t=>{const n=t(e);return n instanceof Observable?n:n instanceof Promise?from(n):of(n)}))}export function min(e,t){return compare("min",e,((e,t)=>e>=t),t)}export function greaterThan(e,t){return compare("greaterThan",e,((e,t)=>e>t),t)}export function max(e,t){return compare("max",e,((e,t)=>e<=t),t)}export function lessThan(e,t){return compare("lessThan",e,((e,t)=>e<t),t)}export function equalTo(e,t){return compare("equalTo",e,((e,t)=>e===t),t)}export function maxlength(e,t){return n=>({key:"maxlength",valid:!n||n.length<=+e,message:t})}export function minlength(e,t){return n=>({key:"minlength",valid:!n||n.length>=+e,message:t})}function toElementValidator(e){return(t,n)=>{const r="string"==typeof t?document.querySelector(t):isInputBase(t)?t:void 0;if(!r)throw"Invalid element";return e(r,n)}}export const equalToElement=toElementValidator(equalTo);export const rules={required,email,json,zipcode};export const rulesWithParameters={pattern,equalToElement,greaterThanElement:toElementValidator(greaterThan),min,max,equalTo,maxlength,minlength};